summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2011-09-04 21:22:22 (GMT)
committer Jaromil <jaromil@dyne.org>2011-09-04 21:22:22 (GMT)
commit806846129a390743d67b92f16891c79a6ce76613 (patch)
tree4e19e8501ae28c631726e7c02749667b05381efa
parentd348de25146fb06a14efa6668bfaec35af0b35e3 (diff)
documentation, isolinux cosmetics and removal of old sdk script
-rw-r--r--dyneIII/iso-skeleton/isolinux/f10.txt31
-rw-r--r--dyneIII/iso-skeleton/isolinux/f2.txt15
-rw-r--r--dyneIII/iso-skeleton/isolinux/f3.txt3
-rw-r--r--dyneIII/iso-skeleton/isolinux/f4.txt7
-rw-r--r--dyneIII/iso-skeleton/isolinux/f5.txt3
-rw-r--r--dyneIII/iso-skeleton/isolinux/f6.txt3
-rw-r--r--dyneIII/iso-skeleton/isolinux/f7.txt3
-rw-r--r--dyneIII/iso-skeleton/isolinux/f8.txt6
-rw-r--r--dyneIII/iso-skeleton/isolinux/f9.txt11
-rw-r--r--dyneIII/iso-skeleton/isolinux/isolinux.cfg23
-rw-r--r--dyneIII/iso-skeleton/isolinux/prompt.cfg16
-rw-r--r--dyneIII/iso-skeleton/live/dyne_version1
-rwxr-xr-xdyneIII/live-build-refine388
13 files changed, 65 insertions, 445 deletions
diff --git a/dyneIII/iso-skeleton/isolinux/f10.txt b/dyneIII/iso-skeleton/isolinux/f10.txt
index b089b3a..d43055e 100644
--- a/dyneIII/iso-skeleton/isolinux/f10.txt
+++ b/dyneIII/iso-skeleton/isolinux/f10.txt
@@ -1,5 +1,4 @@
- 0fCOPYRIGHTS AND WARRANTIES07 09F1007
-
+ 0fCOPYRIGHTS AND WARRANTIES07 09F1007
This software is free software; you can redistribute it and/or
modify it under the terms of the GNU Public License as published
@@ -18,31 +17,9 @@ Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA
Going further with the boot process and using this CD-ROM, you
accept the terms defined here and in the GNU Public License.
-Dynebolic is copyleft (C) 2001-2010 by Denis "jaromil" Rojo
-the included code is copyright by the respective authors, please
+Dynebolic is copyleft (C) 2001-2011 by Denis Roio aka Jaromil.
+Included code is copyright by the respective authors, please
refer to the distributed documentation for details.
---
-
-DYNE:IIIbeta is based on Pure:dyne system, built with Debian live-helper,
-version 2.0~a3-1.
-
-More information about the Debian Live project can be found at
-<http://debian-live.alioth.debian.org/>.
-
---
-
-Ubuntu is Copyright (C) 2004-2010 Canonical Ltd., and incorporates the work
-of many other original authors and contributors.
-
-The Ubuntu system is freely redistributable. After installation, the
-exact distribution terms for each package are described in the
-corresponding file /usr/share/doc/*packagename*/copyright.
-
-Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent
-permitted by applicable law.
-
-
-
-Press F1control and F then 1 for the help index, or ENTER to boot.
+Press F1control and F then 1 for the help index, or type 'menu'
diff --git a/dyneIII/iso-skeleton/isolinux/f2.txt b/dyneIII/iso-skeleton/isolinux/f2.txt
index 35fd5b1..b30e7f3 100644
--- a/dyneIII/iso-skeleton/isolinux/f2.txt
+++ b/dyneIII/iso-skeleton/isolinux/f2.txt
@@ -1,15 +1,15 @@
- 0fPREREQUISITES FOR RUNNING PUREDYNE07 09F207
+ 0fPREREQUISITES FOR RUNNING DYNEBOLIC07 09F207
-You must have at least 256 megabytes of RAM and a Pentium III or more
-in order to have fun with this system and the tools included. You can
-always try with less but you will not be able to do much realtime audio
-and video with it.
+You must have at least 256 megabytes of RAM and a Pentium III or more
+in order to have fun with this system and the tools included. You can
+always try with less but you will not be able to do much realtime
+audio and video with it.
More info at 0fhttp://dynebolic.org/07
-Yah bless!
+JAH bless!
@@ -21,4 +21,5 @@ Yah bless!
-Press F1control and F then 1 for the help index, or ENTER to boot. \ No newline at end of file
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/f3.txt b/dyneIII/iso-skeleton/isolinux/f3.txt
index cc887cc..940d7f2 100644
--- a/dyneIII/iso-skeleton/isolinux/f3.txt
+++ b/dyneIII/iso-skeleton/isolinux/f3.txt
@@ -21,4 +21,5 @@ If unsure, you should use the default boot method, with no special
parameters, by simply pressing enter at the boot prompt.
-Press F1control and F then 1 for the help index, or ENTER to \ No newline at end of file
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/f4.txt b/dyneIII/iso-skeleton/isolinux/f4.txt
index be53488..00d80d9 100644
--- a/dyneIII/iso-skeleton/isolinux/f4.txt
+++ b/dyneIII/iso-skeleton/isolinux/f4.txt
@@ -4,8 +4,6 @@
0fmemtest07
Start memtest to scan your RAM for errors.
-0ffloppy07, 0fdisk107 or 0fdisk207
- Boot from the floppy, first or second hard disk.
@@ -21,4 +19,7 @@
-Press F1control and F then 1 for the help index, or ENTER to \ No newline at end of file
+
+
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/f5.txt b/dyneIII/iso-skeleton/isolinux/f5.txt
index 7d01b24..6637786 100644
--- a/dyneIII/iso-skeleton/isolinux/f5.txt
+++ b/dyneIII/iso-skeleton/isolinux/f5.txt
@@ -21,4 +21,5 @@ module.param=value, for example: libata.atapi_enabled=1
-Press F1control and F then 1 for the help index, or ENTER to \ No newline at end of file
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/f6.txt b/dyneIII/iso-skeleton/isolinux/f6.txt
index 5ef45e2..c820e69 100644
--- a/dyneIII/iso-skeleton/isolinux/f6.txt
+++ b/dyneIII/iso-skeleton/isolinux/f6.txt
@@ -21,4 +21,5 @@ For example:
boot: install vga=771 noapic nolapic
-Press F1control and F then 1 for the help index, or ENTER to \ No newline at end of file
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/f7.txt b/dyneIII/iso-skeleton/isolinux/f7.txt
index 12740c5..c866165 100644
--- a/dyneIII/iso-skeleton/isolinux/f7.txt
+++ b/dyneIII/iso-skeleton/isolinux/f7.txt
@@ -21,4 +21,5 @@ For example:
boot: install aic7xxx.aic7xxx=no_probe
-Press F1control and F then 1 for the help index, or ENTER to \ No newline at end of file
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/f8.txt b/dyneIII/iso-skeleton/isolinux/f8.txt
index d785f54..40b4a8d 100644
--- a/dyneIII/iso-skeleton/isolinux/f8.txt
+++ b/dyneIII/iso-skeleton/isolinux/f8.txt
@@ -6,7 +6,9 @@
+ THIS SPACE WAS LEFT INTENTIONALLY BLANK
+ :^)
@@ -19,6 +21,4 @@
-
-
-Press F1control and F then 1 for the help index, or ENTER to \ No newline at end of file
+Press F1control and F then 1 for the help index, or type 'menu'
diff --git a/dyneIII/iso-skeleton/isolinux/f9.txt b/dyneIII/iso-skeleton/isolinux/f9.txt
index 129c7cc..7d4ef4a 100644
--- a/dyneIII/iso-skeleton/isolinux/f9.txt
+++ b/dyneIII/iso-skeleton/isolinux/f9.txt
@@ -5,14 +5,15 @@ If you have problems running this CD/DVD don't you worry!
We will try our best to help. Good starting places for help are
the dynebolic website:
-http://dynebolic.org
+ http://dynebolic.org
and our realtime communication infrastructure / irc channel
-http://hinezumi.im
+ http://dyne.org
-See also our other projects at http://dyne.org
+See also our other projects at
+ http://dyne.org
@@ -21,4 +22,6 @@ See also our other projects at http://dyne.org
-Press F1control and F then 1 for the help index, or ENTER to boot. \ No newline at end of file
+
+Press F1control and F then 1 for the help index, or type 'menu'
+
diff --git a/dyneIII/iso-skeleton/isolinux/isolinux.cfg b/dyneIII/iso-skeleton/isolinux/isolinux.cfg
index da27a82..32679c8 100644
--- a/dyneIII/iso-skeleton/isolinux/isolinux.cfg
+++ b/dyneIII/iso-skeleton/isolinux/isolinux.cfg
@@ -10,7 +10,7 @@ menu color sel * #ffffffff #76465462 none
menu color hotsel 1;7;37;40 #ffffffff #76465462 none
menu color tabmsg * #ffffffff #00000000 none
menu color help 37;40 #FFd6363c #00000000 none
-menu vshift 12
+menu vshift 18
menu rows 10
menu helpmsgrow 15
# The command line must be at least one line from the bottom.
@@ -22,12 +22,17 @@ menu tabmsg Press ENTER to boot or TAB to edit a menu entry
label live
menu label dyne:III
kernel /live/vmlinuz
- append initrd=/live/initrd.img boot=live persistent quickreboot username=luther hostname=dynebolic union=aufs vga=792
+ append initrd=/live/initrd.img boot=live quickreboot username=luther hostname=dynebolic union=aufs vga=792
label livefailsafe
menu label dyne:III (failsafe)
kernel /live/vmlinuz
- append initrd=/live/initrd.img boot=live persistent quickreboot username=luther hostname=dynebolic union=aufs noapic noapm nodma nomce nolapic nosmp vga=normal
+ append initrd=/live/initrd.img boot=live quickreboot username=luther hostname=dynebolic union=aufs noapic noapm nodma nomce nolapic nosmp vga=normal xdriver=fbdev
+
+label volatile
+ menu label dyne:III (volatile)
+ kernel /live/vmlinuz
+ append initrd=/live/initrd.img boot=live quickreboot username=luther hostname=dynebolic union=aufs volatile=true
label memtest
menu label Memory test
@@ -46,12 +51,12 @@ label memtest
# localboot -1
-label help
- menu label ^Help
- text help
- Display help screens; type 'menu' at boot prompt to return to this menu
- endtext
- config prompt.cfg
+# label help
+# menu label ^Help
+# text help
+# Display help screens; type 'menu' at boot prompt to return to this menu
+# endtext
+# config prompt.cfg
default /isolinux/vesamenu.c32
prompt 0
diff --git a/dyneIII/iso-skeleton/isolinux/prompt.cfg b/dyneIII/iso-skeleton/isolinux/prompt.cfg
new file mode 100644
index 0000000..691ebda
--- /dev/null
+++ b/dyneIII/iso-skeleton/isolinux/prompt.cfg
@@ -0,0 +1,16 @@
+prompt 1
+display f1.txt
+timeout 0
+include menu.cfg
+include exithelp.cfg
+
+f1 f1.txt
+f2 f2.txt
+f3 f3.txt
+f4 f4.txt
+f5 f5.txt
+f6 f6.txt
+f7 f7.txt
+f8 f8.txt
+f9 f9.txt
+f0 f10.txt
diff --git a/dyneIII/iso-skeleton/live/dyne_version b/dyneIII/iso-skeleton/live/dyne_version
new file mode 100644
index 0000000..a9d231c
--- /dev/null
+++ b/dyneIII/iso-skeleton/live/dyne_version
@@ -0,0 +1 @@
+III
diff --git a/dyneIII/live-build-refine b/dyneIII/live-build-refine
deleted file mode 100755
index 9e21196..0000000
--- a/dyneIII/live-build-refine
+++ /dev/null
@@ -1,388 +0,0 @@
-#!/bin/zsh
-#
-# dyne:bolic software development kit
-#
-# Copyright (C) 2011 Denis Roio <jaromil@dyne.org>
-#
-# This source code is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Public License as published
-# by the Free Software Foundation; either version 3 of the License,
-# or (at your option) any later version.
-#
-# This source code is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-# Please refer to the GNU Public License for more details.
-#
-# You should have received a copy of the GNU Public License along with
-# this source code; if not, write to:
-# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
-DEBUG=1
-BINFILE=`basename $0`
-BINPATH=`dirname $0`
-
-autoload colors; colors
-
-
-# standard output message routines
-# it's always useful to wrap them, in case we change behaviour later
-# standard output message routines
-# it's always useful to wrap them, in case we change behaviour later
-notice() { if ! [ $QUIET ]; then print "$fg_bold[green][*]$fg_no_bold[white] $1" >&2; fi }
-error() { if ! [ $QUIET ]; then print "$fg[red][!]$fg[white] $1" >&2; fi }
-func() { if [ $DEBUG ]; then print "$fg[blue][D]$fg[white] $1" >&2; fi }
-act() {
- if ! [ $QUIET ]; then
- if [ "$1" = "-n" ]; then
- print -n "$fg_bold[white] . $fg_no_bold[white] $2" >&2;
- else
- print "$fg_bold[white] . $fg_no_bold[white] $1" >&2;
- fi
- fi
-}
-
-PACKAGE="dyne:OS SDK"
-VERSION="3"
-
-if [ $DYNESDK ]; then PFX=${DYNESDK}; fi
-
-notice "$PACKAGE version $VERSION Software Development Kit by \
-$fg_bold[black]$bg[green]RAS$bg[yellow]TAS$bg[red]OFT$fg_no_bold[white]$bg[black]"
-ARGS=$@[@]
-
-# TODO
-# CHECK FOR BINARIES:
-# sudo, unsquashfs, Xephyr
-
-OPTS=`getopt -o X:o:hv -n "$BINFILE" -- "$@"`
-
-while true; do
- case "$1" in
- -h)
- notice "synopsis: $BINFILE [options] command [iso | dir]"
- notice "commands:"
- act "open open up a livecd iso"
- act "edit edit an open livecd iso"
- act "pack squash an open livecd iso"
- notice "options:"
- act "-x RES nest graphical session at RES (ie: 1024x768)"
- act "-o PFX name prefix for the output file or directory"
- act "-h print this help"
- act "-v print out the version of this tool"
-# act "-p path to the SDK directory (def. same as iso)"
-
-
- echo; exit 2 ;;
- -X) XRES=${2}; shift 2 ;;
- -o) OUTFILE=${2}; shift 2 ;;
- -v) exit 2 ;;
- -p) PFX=${2}; shift 2 ;;
- --) shift; break ;;
- *) CMD=${1}; ARG1=${2}; ARG2=${3}; break ;;
- esac
-done
-
-act "$BINFILE $ARGS"
-
-if ! [ $ARG1 ]; then
- # file is mandatory
- error "command or file missing, use -h for help."
- exit 1
-fi
-
-if [ -z $PFX ]; then
- export PFX=`dirname $ARG1`;
-fi
-export FILE=`basename $ARG1`
-
-## INTERNAL FUNCTIONS
-
-# escalate privileges
-check_priv() {
- if [ $UID != 0 ]; then
- func "Using sudo for root execution of '$BINFILE ${(f)ARGS}'"
- # check if sudo has a timestamp active
- sudok=false
- sudo -n ${BINPATH}/${BINFILE} 2> /dev/null
- if [ $? != 0 ]; then # if not then ask a password
- cat <<EOF | pinentry 2>/dev/null | awk '/^D/ { print $2 }' | sudo -S -v
-OPTION ttyname=$TTY
-OPTION lc-ctype=$LANG
-SETTITLE Super user privileges required
-SETDESC Sudo execution of $BINFILE ${ARGS[@]}
-SETPROMPT Insert your USER password:
-GETPIN
-EOF
- fi
- sudo "${BINPATH}/${BINFILE}" ${(s: :)ARGS}
- exit $?
- fi # are we root already
- return 0
-}
-
-loop_mount_iso() {
-
- file $1 | grep 'ISO.*filesystem' > /dev/null
- if [ $? != 0 ]; then
- error "$1 doesn't appear to be an ISO filesystem"
- return 1
- fi
- export ISOLOOP=$PFX/loop_${FILE%%\.*}
-
- mkdir -p $ISOLOOP
-
- mount -o loop $1 $ISOLOOP
- if [ $? != 0 ]; then
- error "cannot loop mount iso $dirname/$filename"
- act "trying to unmount..."
- umount $ISOLOOP
- if [ $? != 0 ]; then
- error "errors reported loop mounting iso, operation aborted."
- rmdir $ISOLOOP
- return 1
- else
- mount -o loop $1 $ISOLOOP
- if [ $? != 0 ]; then
- error "cannot loop mount iso $dirname/$filename"
- rmdir $ISOLOOP
- return 1
- fi
- fi
- fi
-
- act "loop mounted on $ISOLOOP"
-
-}
-
-########################################################################
-### COMMAND FUNCTIONS
-########################################################################
-
-open_iso() {
-
- if ! [ -r $PFX/$FILE ]; then
- error "$PFX/$FILE not found"
- return 1
- fi
-
- # setup the name for the output directory
- if [ -z $OUTFILE ]; then
- dest=${PFX}/${FILE%%\.*}
- else
- dest=${OUTFILE}
- fi
-
- if [ -x $dest ]; then
- rmdir $dest 2>/dev/null # delete if empty
- if [ $? != 0 ]; then
- error "SDK already contains an open ISO in $dest"
- return 1
- fi
- fi
-
- notice "Opening $PFX/$FILE ..."
-
- loop_mount_iso $PFX/$FILE # defines $ISOLOOP, to be removed later
-
- if [ $? != 0 ]; then
- error "loop mount failed"
- return 1
- fi
-
- if ! [ -x $ISOLOOP/live ]; then
- error "ISO doesn't contains a live/ directory, is this a live-build system?"
- umount $ISOLOOP
- rmdir $ISOLOOP
- return 1
- fi
-
- unsquashfs -d $dest $ISOLOOP/live/filesystem.squashfs
- if [ $? != 0 ]; then
- error "error unsquashing the live filesystem, operation aborted"
- umount $ISOLOOP
- rmdir $ISOLOOP
- if [ $? != 0 ]; then
- error "please check and if necessary remove manually $dest"
- return 1
- fi
- fi
-
- notice "`basename $dest` succesfully opened in $PFX"
-
- umount $ISOLOOP
- rmdir $ISOLOOP
-
- return 0
-}
-
-start_xephyr() {
- resolution=$1
- if ! [ $resolution ]; then
- resolution=1024x768
- fi
-
- pidof Xephyr
- if [ $? != 0 ]; then
- act "starting nested X screen using:"
- act "Xephyr -screen $resolution :1"
- Xephyr -screen $resolution :1 &!
- else
- error "Xephyr already running, operation aborted."
- return 1
- fi
- act "to launch the graphical session use:"
- act "export DISPLAY=localhost:0"
- act "xfce4-session (or what have you)"
- notice "now don't mind the error about fonts, but login with user and password"
-
- return 0
-}
-
-edit_iso() {
-
- if [ $XRES ]; then
- start_xephyr $XRES
- fi
-
- # bind dev and proc if needed
- mount | grep "$PFX/$FILE/dev/pts" > /dev/null
- if [ $? != 0 ]; then
- mount -o bind /dev/pts $PFX/$FILE/dev/pts
- fi
- mount | grep "$PFX/$FILE/proc" > /dev/null
- if [ $? != 0 ]; then
- mount -o bind /proc $PFX/$FILE/proc
- fi
- mount | grep "$PFX/$FILE/var/run" > /dev/null
- if [ $? != 0 ]; then
- mount -o bind /var/run $PFX/$FILE/var/run
- fi
-
- # mount | grep "$PFX/$FILE/tmp" > /dev/null
- # if [ $? != 0 ]; then
- # mount -o bind /tmp $PFX/$FILE/tmp
- # fi
-
- cp /etc/resolv.conf $PFX/$FILE/etc/resolv.conf
- notice "jumping into the live system"
- act "default login is luther, password luther"
- chroot $PFX/$FILE /bin/login
-
- if [ $XRES ]; then
- killall Xephyr
- fi
- umount $PFX/$FILE/dev/pts
- umount $PFX/$FILE/proc
- umount $PFX/$FILE/var/run
-
- # umount $PFX/$FILE/tmp
-}
-
-pack_iso() {
- # check if its a filesystem
- if ! [ -x ${PFX}/${FILE}/usr ]; then
- error "${PFX}/${FILE} doesn't seems to be a filesystem"
- return 1
- fi
-
- notice "packing ${PFX}/${FILE}"
-
- # make sure nothing is mounted
- umount $PFX/$FILE/dev/pts 2> /dev/null
- umount $PFX/$FILE/proc 2> /dev/null
- umount $PFX/$FILE/tmp 2> /dev/null
- # cleanup tmp
- rm -rf $PFX/$FILE/tmp/*
-
- # cleanup dns
- rm -f $PFX/$FILE/etc/resolv.conf
- echo "nameserver 8.8.8.8" \
- > $PFX/$FILE/etc/resolv.conf
-
- if ! [ -r $PFX/${FILE}.squashfs ]; then
- mksquashfs $PFX/$FILE $PFX/${FILE}.squashfs -noappend
- if [ $? != 0 ]; then
- error "mksquash failed, operation aborted."
- return 1
- fi
- else
- act "using existing $FILE.squashfs - delete it to force re-squashing."
- fi
-
- notice "succesfully packed $PFX/$FILE"
- act "`ls -lh $PFX/$FILE.squashfs`"
- # stat $PFX/$FILE.squashfs
-
- loop_mount_iso "$PFX/${FILE}.iso" # defines $ISOLOOP, to be unset later
- if [ $? != 0 ]; then
- error "loop mount failed, operation aborted."
- return 1
- fi
-
- act "using iso image skeleton from $PFX/$FILE.iso"
- mount -o bind $PFX/$FILE.squashfs $ISOLOOP/live/filesystem.squashfs
- cp -ra $ISOLOOP/isolinux $PFX/isolinux_$FILE
- mount -o bind $PFX/isolinux_$FILE $ISOLOOP/isolinux
-
- # use new kernel and initrd inside /boot
- # warning: only one should be in boot, else ls will decide...
- kernel=`ls $PFX/$FILE/boot/vmlinuz* | head -n1`
- initrd=`ls $PFX/$FILE/boot/initrd* | head -n1`
- mount -o bind $kernel $ISOLOOP/live/vmlinuz
- mount -o bind $initrd $ISOLOOP/live/initrd.img
-
- if [ -z $OUTFILE ]; then
- isofile=$PFX/$FILE-`date +%s`.iso
- else
- isofile=${OUTFILE}.iso
- fi
-
- act "making bootable iso in $isofile"
- genisoimage -r -V "$OUTFILE" -cache-inodes -J -l \
- -b isolinux/isolinux.bin -c isolinux/boot.cat \
- -no-emul-boot -boot-load-size 4 -boot-info-table \
- -input-charset iso8859-1 -udf -o $isofile $ISOLOOP
-
-# omissis: -R -udf
- if [ $? != 0 ]; then
- error "an error occurred in genisoimage, operation aborted."
- res=1
- else
- notice "iso file packed succesfully"
- ls -lh $isofile
- res=0
- fi
-
- # cleanup
- umount $ISOLOOP/live/filesystem.squashfs
- umount $ISOLOOP/live/vmlinuz
- umount $ISOLOOP/live/initrd.img
-
-# rm -f $PFX/$FILE.squashfs
- umount $ISOLOOP/isolinux
- rm -rf $PFX/isolinux_$FILE
- umount $ISOLOOP
- rmdir $ISOLOOP
-
- return $res
-}
-
-case "$CMD" in
- # execute commands
- open) check_priv ; open_iso $@ ;;
- edit) check_priv ; edit_iso $@ ;;
- pack) check_priv ; pack_iso $@ ;;
- startx) start_x $@ ;;
- *) error "command \"$CMD\" not recognized"
- act "try -h for help"
- exit 1
- ;;
-esac
-
-res=$?
-if [ $res = 0 ]; then
- notice "operation successful."
-fi
-exit $res
-